@echo off

rem VIDWIN.BAT

rem Copyright (c) 1993 Sierra On-Line, Inc.  All rights Reserved
rem  See documentation in DEMO.BAT file for more information.

:VidWin
if "%xxw%"=="" call checkwin
if "%xxw%"=="" goto Done
if not exist %xxw%\system\msvideo.dll goto Install
if not exist %xxw%\mplayer.reg goto Install
goto Done

:Install
mode co80
echo This demo requires Microsoft Video for Windows.  
echo.
echo Do you want the Video for Windows runtime to be installed now? (Y,N)
getkey YN
if "%getkey%"=="N" goto Done
if "%getkey%"=="ESC" goto Done
echo.
echo.
echo.
echo After the Video for Windows installation completes, exit Windows to return
echo to the demo menu.
echo.
echo Press any key to run the Video for Windows runtime installation now.
getkey
cls
%xxw%\win ..\..\vfw\setup.exe

:Done
